<!--  -->
<template>
  <div class="boxleft">
    <title-box-vue title="功能位置"> </title-box-vue>
    <fks-input
      placeholder="输入关键字进行过滤"
      suffix-icon="fks-icon-search"
      v-model="filterText"
    >
    </fks-input>
    <fks-tree
      class="treebox"
      ref="tree"
      :data="treedata"
      :props="defaultProps"
      :show-icon="true"
      node-key="id"
      default-expand-all
      current-node-key="1.1"
      :highlight-current="true"
      :filter-node-method="filterNode"
      @node-click="handleNodeClick"
      @check="handleCheck"
    ></fks-tree>
  </div>
</template>

<script>
import titleBoxVue from "./titleBox.vue";

const treeData = [
  {
    label: "泵站",
    id: "s1",
    children: [
      {
        id: "1",
        label: "1#泵",
        children: [
          {
            id: "1.1",
            label: "压力",
          },
        ],
      },
      {
        id: "2",
        label: "2#泵",
        children: [
        {
            id: "2.1",
            label: "压力",
          },
        ],
      },
      {
        id: "3",
        label: "3#泵",
        children: [
        {
            id: "3.1",
            label: "压力",
          },
        ],
      },
      {
        id: "4",
        label: "4#泵",
        children: [
        {
            id: "4.1",
            label: "压力",
          },
        ],
      },
      {
        id: "5",
        label: "5#泵",
        children: [
        {
            id: "5.1",
            label: "压力",
          },
        ],
      },
    ],
  },
];
export default {
  name: "leftTree",
  components: { titleBoxVue },
  data() {
    return {
      treedata: treeData,
      filterText: "",
      defaultProps: {
        children: "children",
        label: "label",
      },
    };
  },
  created() {},
  mounted() {},
  computed: {},
  watch: {
    filterText(val) {
      this.$refs.tree.filter(val);
    },
  },
  methods: {
    handleNodeClick(data) {
      // console.log(data, 'NodeClick'+74);
      this.$emit("click", data);
    },
    handleCheck(data, obj) {
      // console.log(data, obj,'check'+83);
      this.$emit("check", data, obj);
    },
    filterNode(value, data) {
      if (!value) return true;
      return data.label.indexOf(value) !== -1;
    },
  },
};
</script>
<style scoped>
.boxleft {
  background-color: #fff;
}
.treebox {
  height: calc(100% - 80px);
  overflow: auto;
}
</style>

<style>
.treebox .fks-checkbox__inner {
  display: none;
}

.treebox .is-leaf + svg + .fks-checkbox .fks-checkbox__inner {
  display: inline-block;
}
</style>


